#header, #footer, #main-content {
    opacity: 0;
    transition: opacity 0.3s ease-in;
}

html, body {
    margin: 0;
    padding: 0;
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    font-family: 'Arial', sans-serif;
}

body {
    display: flex;
    flex-direction: column;
    min-height: 100vh;
}

.wrapper {
    flex: 1 0 auto;
    display: flex;
    flex-direction: column;
}

#main-content {
    flex: 1 0 auto;
}

footer {
    flex-shrink: 0;
}